-- ~/.config/mpv/scripts/mpv_load_event.lua

-- 再生開始時にファイル名を OSD 表示させる例
-- イベントハンドラはこんな感じで捕まえます

local utils = require 'mp.utils'

function on_loaded()
    local directory, fn = utils.split_path(mp.get_property('path'))
    mp.osd_message(fn)
end
mp.register_event('file-loaded', on_loaded)
